<?php
/*
Plugin Name: Tracking Bot
Plugin URI: 	http://www.gameandme.fr
Description: This plugin is used to track crawl of bots like (GoogleBot, BingBot...) on your analytics account
Author: Nizon Yohann
Version: 1.0
Author URI: https://plus.google.com/u/0/115602468150927799102/posts


Galvanize class has been updated to add the http status in the screen property

*/




/*
 * Register the settings
 */
add_action('admin_init', 'trackingbot_register_settings');
function trackingbot_register_settings(){
    //this will save the option in the wp_options table as 'trackingbot_settings'
    //the third parameter is a function that will validate your input values
    register_setting('trackingbot_settings', 'trackingbot_settings', 'trackingbot_settings_validate');
}

/**
Add select box to the content with links to the other part
*/
function trackingbot_meta_display($content)
{   
	global $wpdb;
    	
	if(stripos($_SERVER['HTTP_USER_AGENT'] ,'bot') !== false or stripos($_SERVER['HTTP_USER_AGENT'] ,'crawl') !== false){
	   include_once 'Galvanize.php';
	   $options = get_option( 'trackingbot_settings' );
	   if (isset($options) && $options != '' && $options != 'UA-XXXX-1'){
			$GA = new Galvanize($options);
			$GA->trackPageView();
			
			$fp = fopen("log.txt","a+");
			fputs($fp,date("Y-m-d-H:i:s") ." ". $_SERVER['HTTP_USER_AGENT']."\n");
			fclose($fp);
		}
	}
}


/**
Admin Settings
*/
function trackingbot_settings()
{
	//Modify settings
}

function trackingbot_admin_menu()  
{  
    add_menu_page('Tracking Bot Settings', 'Tracking bot', 'administrator', 'trackingbot-settings', 'trackingbot_admin_page_callback');
} 
add_action("admin_menu", "trackingbot_admin_menu"); 

function trackingbot_settings_validate($args){
    //make sure you return the args
    return $args;
}



add_action('wp_head', 'trackingbot_meta_display');

//The markup for your plugin settings page
function trackingbot_admin_page_callback(){ 
?>
    <div class="wrap">
    <h2>Tracking Bot Settings</h2>
    <form action="options.php" method="post"><?php
        settings_fields( 'trackingbot_settings' );
        do_settings_sections( __FILE__ );

        //get the older values, wont work the first time
        $options = get_option( 'trackingbot_settings' ); ?>
		
        <table class="form-table">
            <tr>
                <th scope="row">Analytics Account</th>
                <td>
                    <fieldset>
                        <label>
                            <input name="trackingbot_settings" type="text" id="trackingbot_settings" value="<?php echo (isset($options) && $options != '') ? $options : 'UA-XXXX-1'; ?>"/>
                            <br />
                            <span class="description">Please enter your analytics account.</span>
                        </label>
                    </fieldset>
                </td>
            </tr>
        </table>
        <input type="submit" value="Save" />
    </form>
</div>
<?php 
}
?>